libebook::SoftBookCollector Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libebook::SoftBookCollector Class Reference

`#include <SoftBookCollector.h>`

## Public Member Functions
| SoftBookCollector (librevenge::RVNGTextInterface *document)
void | openParagraph ()
void | closeParagraph ()
void | collectText (const std::string &text)
void | collectLineBreak ()
void | collectImage ()
void | openTable ()
void | closeTable ()
void | collectTableCell ()
void | openPageHeader ()
void | closePageHeader ()
void | openPageFooter ()
void | closePageFooter ()

## Private Attributes
librevenge::RVNGTextInterface *const | m_document

## Constructor & Destructor Documentation

## ◆ SoftBookCollector()

libebook::SoftBookCollector::SoftBookCollector | ( | librevenge::RVNGTextInterface * | document | ) |
| explicit

## Member Function Documentation

## ◆ closePageFooter()

void libebook::SoftBookCollector::closePageFooter | ( |  | ) |

Referenced by libebook::SoftBookText::parse().

## ◆ closePageHeader()

void libebook::SoftBookCollector::closePageHeader | ( |  | ) |

Referenced by libebook::SoftBookText::parse().

## ◆ closeParagraph()

void libebook::SoftBookCollector::closeParagraph | ( |  | ) |

Referenced by libebook::SoftBookText::parse().

## ◆ closeTable()

void libebook::SoftBookCollector::closeTable | ( |  | ) |

## ◆ collectImage()

void libebook::SoftBookCollector::collectImage | ( |  | ) |

Referenced by libebook::SoftBookText::parse().

## ◆ collectLineBreak()

void libebook::SoftBookCollector::collectLineBreak | ( |  | ) |

Referenced by libebook::SoftBookText::parse().

## ◆ collectTableCell()

void libebook::SoftBookCollector::collectTableCell | ( |  | ) |

Referenced by libebook::SoftBookText::parse().

## ◆ collectText()

void libebook::SoftBookCollector::collectText | ( | const std::string & | text | ) |

Referenced by libebook::SoftBookText::flushText().

## ◆ openPageFooter()

void libebook::SoftBookCollector::openPageFooter | ( |  | ) |

Referenced by libebook::SoftBookText::parse().

## ◆ openPageHeader()

void libebook::SoftBookCollector::openPageHeader | ( |  | ) |

Referenced by libebook::SoftBookText::parse().

## ◆ openParagraph()

void libebook::SoftBookCollector::openParagraph | ( |  | ) |

Referenced by libebook::SoftBookText::parse().

## ◆ openTable()

void libebook::SoftBookCollector::openTable | ( |  | ) |

Referenced by libebook::SoftBookText::parse().

## Member Data Documentation

## ◆ m_document

librevenge::RVNGTextInterface* const libebook::SoftBookCollector::m_document
| private

Referenced by closePageFooter(), closePageHeader(), closeParagraph(), closeTable(), collectImage(), collectLineBreak(), collectTableCell(), collectText(), openPageFooter(), openPageHeader(), openParagraph(), and openTable().

The documentation for this class was generated from the following files:

- SoftBookCollector.h
- SoftBookCollector.cpp